Phing subclass of the ErrorTracker class provided with PhpDocumentor to work around limitations in PhpDocumentor API.

This class is necessary because PhpDocumentor does directly output errors and warnings occured during testing for undocumented elements to stdout. This class is injected globally to force PhpDocumentor to use phing's logging mechanism.

Obviously this is far from ideal, but there's also no solution given the inflexibility of the PhpDocumentor design.

author | Timo A. Hummel <privat@timohummel.com> @author felicitus
version | $Id: 73c919ab2044bf6582f52bd7ccb0184019d52f53 $
package | phing.tasks.ext.phpdoc

### Methods

## Outputs an error.

    addError($num) : \nothing

This is an almost 1:1 copy from PhpDocumentor, we're just processing the error text and send it to phing's logger.

### Parameters

#### $num

integer Number of parameters

### Returns

`\nothing`

## Outputs a warning.

    addWarning($num) : \nothing

This is an almost 1:1 copy from PhpDocumentor, we're just processing the warning text and send it to phing's logger.

### Parameters

#### $num

integer Number of parameters

### Returns

`\nothing`

## Sets the task we're working with.

    setTask(object $task) : \nothing

This is necessary since we need to be able to call the method "log".

### Parameters

#### $task

`object`

The task we're working with

### Returns

`\nothing`

### Properties

##

    $task